%define  upstream_name YAML
%define _requires_exceptions pear(TestConfiguration.php)
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		php-symfony-%{upstream_name}
Version:	1.0.6
Release:	%mkrel 3
Summary:	The Symfony YAML Component
License:	MIT
Group:		Development/PHP
URL:		http://pear.phpunit.de/package/%upstream_name
Source0:	http://pear.phpunit.de/get/%upstream_name-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
Requires:	php-pear-channel-symfony
BuildArch:	noarch
BuildRequires:	php-pear
BuildRequires:	php-pear-channel-symfony
Provides:	symfony-YAML



%description
Simple template engine
%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .

# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/YAML.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/YAML.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.symfony-project.com/YAML
fi

%files
%defattr(-,root,root)
%doc docs/YAML/*
%{peardir}/*
%{xmldir}/YAML.xml




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.0.6-3.mga3
+ Revision: 377606
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 25 2011 spuhler <spuhler> 1.0.6-2.mga2
+ Revision: 128546
- added Provides:	symfony-YAML
  increased rel to 2

* Wed Jul 13 2011 spuhler <spuhler> 1.0.6-1.mga2
+ Revision: 123567
- imported package php-symfony-YAML

